Licenses
All operations require authentication.
List usersProduction
Returns the activation emails of the users of the tenant. Filter them by activationEmail, firstName, lastName or licences.
Path parameters
Service name
Query parameters
officeBusinessofficeProPlusResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a userProduction
Returns the names, activation email, licenses and state of the user. isVirtual tells whether it is a user slot or a real user.
Path parameters
Activation email
Service name
Response
Email used to activate Microsoft Office
Whether or not this user slot will be resigned at the next renew period
User's first name
Specify if the user is actually a user slot (configureme) or a real user
User's last name
Licenses attributed to the user
officeBusinessofficeProPlusUser state
creatingdeletingokPending task id
ISO 3166-1 alpha-2 country code where the user is using Office365 services
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwExample uses activationEmail = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user/ {activationEmail} \
-H "authorization: Bearer $OVH_TOKEN"{ "activationEmail": "string", "deleteAtExpiration": true, "firstName": "string", "isVirtual": true, "lastName": "string", "licences": [ "officeBusiness" ], "status": "creating", "taskPendingId": 0, "usageLocation": "ac"}
Create a userProduction
Creates a user from a login on a domain of the tenant, with a license, optional first and last names and a usage location, and returns the task.
Path parameters
Service name
Request body (required)
Office domain
User's first name
User's last name
Licenses attributed to the user
officeBusinessofficeProPlusAccount login
ISO 3166-1 alpha-2 country code where the user is using Office365 services
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwResponse
Completion date
Function name
Task's unique identifier
Task's unique identifier
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update a userProduction
Updates the first name, last name and activation email of the user, and deleteAtExpiration, which ends the user slot at the next renewal.
Path parameters
Activation email
Service name
Request body (required)
Email used to activate Microsoft Office
Whether or not this user slot will be resigned at the next renew period
User's first name
User's last name
ISO 3166-1 alpha-2 country code where the user is using Office365 services
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwResponse
Example uses activationEmail = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user/ {activationEmail} \
-H "authorization: Bearer $OVH_TOKEN"Delete a userProduction
Deletes the user and returns the task.
Path parameters
Activation email
Service name
Response
Completion date
Function name
Task's unique identifier
Task's unique identifier
cancelleddoingdoneerrortodoCreation date
Example uses activationEmail = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user/ {activationEmail} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Change a user passwordProduction
Changes the password of the user and returns the task. Leave password empty to receive a generated password by email. Set shouldSendMail to send the new password to notifyEmail, the admin contact email by default.
Path parameters
Activation email
Service name
Request body (required)
Email to send the new password to. Default is nicAdmin's email
New password or empty to receive a generated password by email
Specify whether the new password should be sent via email or not
Response
Completion date
Function name
Task's unique identifier
Task's unique identifier
cancelleddoingdoneerrortodoCreation date
Example uses activationEmail = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ office/ {serviceName}/ user/ {activationEmail}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List prepaid usersAlpha
Returns the service names of the prepaid users.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a prepaid userAlpha
Returns the names, activation email, licenses and state of the prepaid user, and the service names of the user and of its tenant. isVirtual tells whether it is a user slot or a real user.
Path parameters
Service name
Response
Email used to activate Microsoft Office
User's first name
IAM resource metadata
Specify if the user is actually a user slot (configureme) or a real user
User's last name
Licenses attributed to the user
officeBusinessofficeProPlusUser service name, used in invoices
User state
creatingdeletingoksuspendedunspendingPending task id
User's tenant service name, used in invoices
ISO 3166-1 alpha-2 country code where the user is using Office365 services
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "activationEmail": "string", "firstName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isVirtual": true, "lastName": "string", "licences": [ "officeBusiness" ], "serviceName": "string", "status": "creating", "taskPendingId": 0, "tenantServiceName": "string", "usageLocation": "ac"}
Update a prepaid userAlpha
Updates the first name, last name and activation email of the prepaid user.
Path parameters
Service name
Request body (required)
Email used to activate Microsoft Office
User's first name
User's last name
ISO 3166-1 alpha-2 country code where the user is using Office365 services
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Change a prepaid user passwordAlpha
Changes the password of the prepaid user and returns the task. Leave password empty to receive a generated password by email. Set shouldSendMail to send the new password to notifyEmail, the admin contact email by default.
Path parameters
Service name
Request body (required)
Email to send the new password to. Default is nicAdmin's email
New password or empty to receive a generated password by email
Specify if the new password should be send via email or not
Response
Completion date
Function name
Task's unique identifier
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Get service informationBeta
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The service name of your office account
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationBeta
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The service name of your office account
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Unconfigure a prepaid userProduction
Removes the configuration of the prepaid user and turns it back into an unassigned license slot, and returns the task. The prepaid license is kept.
Path parameters
Service name
Response
Completion date
Function name
Task's unique identifier
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ unconfigure \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Request service terminationBeta
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The service name of your office account
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationBeta
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The service name of your office account
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ license/ officePrepaid/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"